%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-common-sense
Version:       3.74
Release:       2mamba
Summary:       Save a tree AND a kitten, use common::sense!
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/common-sense-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Save a tree AND a kitten, use common::sense!

%prep
%setup -q -n common-sense-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE README

%changelog
* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.74-2mamba
- rebuilt with perl 5.24

* Tue Jun 30 2015 Automatic Build System <autodist@mambasoft.it> 3.74-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 3.73-1mamba
- automatic version update by autodist

* Sat Aug 03 2013 Automatic Build System <autodist@mambasoft.it> 3.72-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6-2mamba
- perl 5.16 mass rebuild

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Sun Apr 08 2012 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Mon Jan 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4-1mamba
- package created by autospec
